RARP(8)

NOME
rarp - manipula a tabela RARP do sistema

SINOPSE
rarp [-v] [-t tipo] -a [máquina]
rarp [-v] -d máquina ...
rarp [-v] [-t tipo] -s máquina endereço_hardware

DESCRIÇÃO
Rarp manipula as tabelas RARP do kernel de varias formas. As opções principais são limpar uma entrada de mapeamento de endereços e manualmente configurar uma. Para propósitos de depuração, o programa rarp também permite um dump completo da tabela RARP.

OPÇÕES

-v  Informe o usuário o que esta acontecendo, sendo detalhado.

-t tipo
    quando configurando ou lendo a tabela RARP, este parâmetro opcional informa ao rarp que classe de entradas devem ser verificadas. O valor default para este parâmetro é ether (i.e. código de hardware 0x01 para IEEE 802.3 10Mbps Ethernet . Outros valores podem incluir tecnologias de rede como AX.25 (ax25) e NET/ROM (netrom).

-a [máquina]
    Mostra as entradas dos máquinas especificadas. Se o Mostra as entradas das máquinas especificadas. Se o parâmetro máquina não for usado todas as entradas serão mostradas.

-d máquina
    Remove a(s) entrada(s) para a máquina especificada. Isto pode ser usado se a máquina indicada for desligada, por exemplo.

-s máquina endereço_hardware
    Cria um mapeamento de endereços RARP para a máquina máquina com endereço de hardware configurado para endereço_hardware. O formato do endereço de hardware depende da classe do hardware, mas para a maioria das classes você pode assumir que a apresentação usual pode ser usada. Para a classe Ethernet, são 6 bytes em hexadecimal, separados por dois pontos (:).

ATENÇÃO
Alguns arquivos (principalmente Suns velhas) assumem que a máquina respondendo ao query ARP também podem oferecer outros serviços de boot remoto. Portanto nunca adiciona gratuitamente entradas rarp a menos que deseje encontrar a fúria do administrador da rede.

ARQUIVOS
/proc/net/rarp,

AUTORES
Ross D. Martin, <martin@trcsun3.eas.asu.edu>
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>

TRADUÇÃO
Arnaldo Carvalho de Melo <acme@conectiva.com.br> - 13/04/1998